mapproxy (5.0.0+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 07:58:32 +0200

mapproxy (5.0.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop python3-{lxml,shapely} from Recommends,
    now part of ${python3:Depends}.
  * Move python3-gdal from Recommends to Depends.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Jun 2025 16:37:43 +0200

mapproxy (4.1.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 May 2025 05:17:46 +0200

mapproxy (4.1.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Apr 2025 17:14:32 +0200

mapproxy (4.1.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Drop past.patch, fixed upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Apr 2025 15:25:53 +0200

mapproxy (4.0.2+dfsg-2) unstable; urgency=medium

  * Don't unconditionally import pytest in mapproxy/util/times.py.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Apr 2025 10:12:13 +0200

mapproxy (4.0.2+dfsg-1) unstable; urgency=high

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Apr 2025 15:59:21 +0200

mapproxy (4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update xfail.patch with tests failing on s390x.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Mar 2025 15:57:39 +0100

mapproxy (4.0.0+dfsg-1) unstable; urgency=medium

  * Update xfail.patch with tests failing in reprotest.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Mar 2025 10:37:36 +0100

mapproxy (4.0.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.
  * Ignore future module in py3dist-overrides.
  * Use autopkgtest-pkg-pybuild testsuite.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Mar 2025 07:57:34 +0100

mapproxy (3.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Nov 2024 15:18:07 +0100

mapproxy (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Nov 2024 18:04:38 +0100

mapproxy (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Nov 2024 12:52:24 +0100

mapproxy (3.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2024 17:31:32 +0200

mapproxy (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Aug 2024 18:09:25 +0200

mapproxy (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-importlib-resources from build dependencies.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jul 2024 20:23:41 +0200

mapproxy (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update (build) dependencies.
  * Drop disable-tag_date.patch, obsolete. Refresh remaining patches.
  * Update README filename in docs file.
  * Add patch to get version from d/changelog when metadata is not available.
  * Add patch to not use cmp from past module.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Jul 2024 08:09:26 +0200

mapproxy (2.0.2+dfsg-2) unstable; urgency=medium

  * Drop mapproxy-doc package, causes FTBFS.
    (closes: #1072596)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Jun 2024 05:34:08 +0200

mapproxy (2.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jan 2024 16:11:37 +0100

mapproxy (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jan 2024 15:41:22 +0100

mapproxy (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    (closes: #1025610)
  * Bump debhelper compat to 13.
  * Don't set environment variables in dh_auto_install override.
  * Remove generated files in clean target.
    (closes: #1047807)
  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update copyright file.
  * Drop reproducible-build.patch, applied upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Dec 2023 15:12:02 +0100

mapproxy (1.16.0+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 11:04:04 +0200

mapproxy (1.16.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Add python3-azure-storage to Recommends.
  * Repack upstream tarball to exclude minified JavaScript files.
  * Add patch to use CDN for minified JavaScript files.
  * Drop obsolete missing-sources.
  * Copy entire test subdirectory for non-python test files.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2023 18:07:36 +0200

mapproxy (1.15.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch by Chris Lamb to make the build reproducible.
    (closes: #1012836)
  * Bump Standards-Version to 4.6.1, no changes.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

  [ Angelos Tzotsos ]
  * Added patch to work with mapnik supporting latest proj.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 12:46:51 +0100

mapproxy (1.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2022 15:18:31 +0200

mapproxy (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Add python3-pyproj to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2022 12:38:12 +0200

mapproxy (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Nov 2021 15:06:43 +0100

mapproxy (1.13.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:24:56 +0200

mapproxy (1.13.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Jul 2021 16:28:11 +0200

mapproxy (1.13.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jul 2021 13:30:08 +0200

mapproxy (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Drop patches applied/included upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Nov 2020 17:15:50 +0100

mapproxy (1.12.0-2) unstable; urgency=medium

  * Update override for embedded-javascript-library.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10.
  * Add patches for compatibility with Python 3.8.
  * Add patch to fix PIL version check.
  * Add lintian override for manpage-without-executable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 May 2020 15:00:06 +0200

mapproxy (1.12.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 06:44:53 +0200

mapproxy (1.12.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies for pytest instead of nose.
  * Drop patches applied upstream, refresh remaining patch.
  * Remove obsolete environment variable for tests.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2019 13:24:50 +0200

mapproxy (1.11.1-2) unstable; urgency=medium

  * Add upstream patch to fix WMS Capabilties with Python 3.7.
    (closes: #935887)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Aug 2019 18:47:19 +0200

mapproxy (1.11.1-1) unstable; urgency=high

  * New upstream release.
    Fixes XSS issue in demo service, see:
    https://github.com/mapproxy/mapproxy/issues/322

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Aug 2019 13:00:23 +0200

mapproxy (1.11.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Drop unused override for python-module-in-wrong-location.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 09:52:17 +0200

mapproxy (1.11.0-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add lintian override for python-module-in-wrong-location.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:42:22 +0200

mapproxy (1.11.0-2) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop ancient X-Python-Version field.
  * Strip trailing whitespace from control & rules files.
  * Add patch to rename async.py to async_.py for Python 3.7 compatibility.
  * Add lintian overrides for embedded JS & fonts.
  * Remove documentation outside usr/share/doc.
  * Fix 'every time' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 19:11:25 +0200

mapproxy (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop libproj-dev from build dependencies, not directly required and
    already pulled in via libgdal-dev.
  * Refresh patches.
  * Update copyright years for Omniscale.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Nov 2017 17:07:46 +0100

mapproxy (1.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Aug 2017 18:21:53 +0200

mapproxy (1.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jul 2017 15:56:16 +0200

mapproxy (1.10.2-2) unstable; urgency=medium

  * Fix SOURCE_DATE_EPOCH use.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 20:49:39 +0200

mapproxy (1.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Jun 2017 18:05:02 +0200

mapproxy (1.10.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 12:49:32 +0200

mapproxy (1.10.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Jun 2017 14:20:52 +0200

mapproxy (1.10.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add python{,3}-redis to (build) dependencies.
  * Drop patches applied upstream.
  * Update mapproxy-seed manpage for new options.
  * Add patch to skip tests when data files are missing.
  * Add python{,3}-boto{3,core} to recommended dependencies for S3 cache.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 May 2017 19:37:30 +0200

mapproxy (1.9.0-3) unstable; urgency=medium

  * Add access_contraints patch ignored by .gitignore.
  * Add patch to disable tag_date for reproducible builds.
  * Add debian/.gitignore to not ignore debian/patches/*.patch.
  * Add patch to fix 'configuration' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Aug 2016 11:56:27 +0200

mapproxy (1.9.0-2) unstable; urgency=medium

  * Add upstream metadata.
  * Add upstream patch to use dummy access_contraints to clarify license.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Aug 2016 11:22:50 +0200

mapproxy (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Import mapproxy packaging from OSGeo-Live.
    (closes: #596812)
  * Restructure control file with cme.
  * Change Maintainer to Debian GIS team, add myself to Uploaders.
  * Add Vcs-* fields for git repository on Alioth.
  * Add watch file for GitHub releases.
  * Rework (build) dependencies, changes:
    - Drop obsolete build dependencies
    - Change lib{proj,gdal}<SOVERSION> dependencies to python-{pyproj,gdal}
    - Change Suggests to Recommends, modules conditionally imported
    - Switch from python-imaging to python-pil
  * Rewrite package description with a proper synopsis.
  * Add gbp.conf to use pristine-tar by default.
  * Also build module for Python 3.
  * Run tests as part of the build, changes:
    - Override dh_auto_test to ignore test failures
    - Add pyton{,3}-{lxml,nose,requests,shapely,webtest,yaml} to Build-Depends
    - Add patch to skip tests that require network
  * Install commandline utilities in separate package.
  * Add separate package for Sphinx documentation.
  * Add missing sources for OpenLayers.js 2.12.
  * Use DejaVu fonts from fonts-dejavu-core package.
  * Move templates, schemas & cache_data to /usr/share.
  * Update copyright file using copyright-format 1.0.
  * Bump Standards-Version to 3.9.8, changes:
    description, Vcs-* fields, copyright-format 1.0.
  * Include AUTHORS.txt & README.rst mapproxy docs.
  * Add manpage for mapproxy-util & mapproxy-seed.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Jul 2016 20:28:54 +0200

mapproxy (1.8.2-0~xenial0) xenial; urgency=medium

  * Xenial build

 -- Angelos Tzotsos <gcpp.kalxas@gmail.com>  Wed, 01 Jun 2016 18:13:00 +0200

mapproxy (1.8.0~trusty) trusty; urgency=medium

  * Trusty build

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Fri, 17 Jul 2015 13:10:24 +0200

mapproxy (1.8.0) unstable; urgency=low

  * New upstream, release.

 -- Oliver Tonnhofer <olt@bogosoft.com>  Fri, 17 Jul 2015 09:38:03 +0000

mapproxy (1.5.0) unstable; urgency=low

  * New upstream release.

 -- Oliver Tonnhofer <olt@bogosoft.com>  Wed, 05 Dec 2012 10:15:19 +0100

mapproxy (1.1.2) unstable; urgency=low

  * First debian release.

 -- Bjoern Schilberg <bjoern.schilberg@intevation.de>  Fri, 24 Jun 2011 09:49:44 +0200

mapproxy (1.1.0) unstable; urgency=low

  * Initial release of the debian-files

 -- Stephan Holl <stephan.holl@intevation.de>  Mon, 23 May 2011 09:50:26 +0200
